Subject: [dnsext] [Technical Errata Reported] RFC5155 (3544)

From: RFC Errata System <[email-masked]>
Date: Sun, 10 Mar 2013 11:16:07 -0700 (PDT)

The following errata report has been submitted for RFC5155,
"DNS Security (DNSSEC) Hashed Authenticated Denial of Existence".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5155&eid=3544

--------------------------------------
Type: Technical
Reported by: Andy Newton <[email-masked]>

Section: 3.3

Original Text
-------------
The Next Hashed Owner Name field is represented as an unpadded sequence of case-insensitive base32 digits, without whitespace.

Corrected Text
--------------
The Next Hashed Owner Name field is represented as an unpadded sequence of case-insensitive base32hex digits, without whitespace

Notes
-----
RFC 4648 Section 7 says: 'This encoding may be referred to as "base32hex".  This encoding should not be regarded as the same as the "base32" encoding and should not be referred to as only "base32".'

There are many spots in RFC 5155 that use the term base32 where base32hex is the appropriate term. Section 3.3 above is the most important, but Section 1.1 uses the term as well Section 3 paragraph 4 and Section 3.2 paragraph 8.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5155 (draft-ietf-dnsext-nsec3-13)
--------------------------------------
Title               : DNS Security (DNSSEC) Hashed Authenticated Denial of Existence
Publication Date    : March 2008
Author(s)           : B. Laurie, G. Sisson, R. Arends, D. Blacka
Category            : PROPOSED STANDARD
Source              : DNS Extensions
Area                : Internet
Stream              : IETF
Verifying Party     : IESG